KeyException (Java Platform SE 8 )
Keywords: java.security.KeyException class
Date: 2016-04-24

compact1, compact2, compact3
java.security

## Class KeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.KeyException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InvalidKeyException, KeyManagementException

      public class KeyException
      extends GeneralSecurityException

  This is the basic key exception.
  See Also:
    `Key`, `InvalidKeyException`, `KeyManagementException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyException()` Constructs a KeyException with no detail message.
    `KeyException(String msg)` Constructs a KeyException with the specified detail message.
    `KeyException(String message, Throwable cause)` Creates a `KeyException` with the specified detail message and cause.
    `KeyException(Throwable cause)` Creates a `KeyException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyException

          public KeyException()

      Constructs a KeyException with no detail message. A detail message is a String that describes this particular exception.

    - #### KeyException

          public KeyException(String msg)

      Constructs a KeyException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `msg` - the detail message.

    - #### KeyException

          public KeyException(String message,
                              Throwable cause)

      Creates a `KeyException` with the specified detail message and cause.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### KeyException

          public KeyException(Throwable cause)

      Creates a `KeyException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.